Apache 2.052, PHP 5.0.3 et MySQL 4.1.9 sont désormais installés. A noter : une erreur jusque là inconnue lorsque j'ai voulu me connecter à MySQL : " Unable to load dynamic library './php_mysql.dll' ". Après quelques recherches, il apparaît que PHP5 ne supporte plus les librairies MySQL par défaut : c'est désormais à l'administrateur de définir l'inclusion des librairies dans le php.ini comme ceci :

  • Ouvrir C:\php\php.ini, rechercher "extension_dir"
  • Mofifier sa valeur en : extension_dir = c:/php/ext/
  • 20 lignes plus bas environ, ajouter ou décommenter ces deux lignes :
    extension=php_mysqli.dll
    extension=php_mysql.dll
  • Copier la librairie C:\php\libmysql.dll sous C:\Windows

Notez qu'il y a deux extensions à inclure : php_mysqli.dll s'applique à MySQL > 4.1 et php_mysql.dll aux versions inférieures. J'ai loadé les deux pour être tranquille. Redémarrez tous les serveurs, il ne devrait plus y avoir de problèmes.

Si vous avez trouvé une faute d’orthographe, informez-nous en sélectionnant le texte en question et en appuyant sur Ctrl + Entrée s’il vous plaît.

Articles en rapport:

Mise à jour des serveurs

par Matt Lecture: 1 min
0

Pin It on Pinterest

Share This

Spelling error report

The following text will be sent to our editors: